﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "CustomerData")]
public class CustomerData : ScriptableObject
{
	[Header("Customer Messages")]
	public string[] BeforeSale;
	public string[] AfterSaleRight;
	public string[] AfterSaleNotRight;
	public string[] AfterNoSale;

	[Header("Hero Names")]
	public string[] MaleHeroes;
	public string[] FemaleHeroes;

	[Header("Hero Sprites")]
	public Sprite[] MaleSprites;
	public Sprite[] FemaleSprites;
}
