﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "EnemyData")]
public class EnemyData : ScriptableObject
{
	public enum EnemyLevel { Low, Medium, High }

	public string Name;

	public Sprite Image;

	public Color color = Color.white;

	public EnemyLevel enemyLevel;

	public ItemData[] itemsWeakAgainst;

	public bool plural;
}