﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(menuName = "ItemData")]
public class ItemData : ScriptableObject
{
	public enum ItemType { Weapon, Shield, Armour, Potion }

	public string Name;

	public Sprite Image;

	public Color color = Color.white;

	public ItemType Type;

	public int MinValue;

	public int MaxValue;

	public int WholesaleMinValue;

	public int WholesaleMaxValue;
}
