﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ItemSaleScreen : MonoBehaviour
{
	public Button button;
	public Text money;
	public Image image;
	public Text quantity;
	private ItemData itemData;

	public void SetItemData(Main.StockedItem stockedItem)
	{
		gameObject.SetActive(true);
		itemData = stockedItem.data;
		image.sprite = itemData.Image;
		image.color = itemData.color;
		money.text = itemData.MinValue.ToString();
		quantity.text = "x" + stockedItem.quantity;
	}

	public void Hide()
	{
		gameObject.SetActive(false);
	}

	public ItemData GetItemData()
	{
		return itemData;
	}
}
