﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class RequestScreen : BaseScreen
{
	public Text customerMessage;
	public Image enemyImage;
	public Text enemyName;
	public Text moneyText;

	public void SetupRequest(Hero hero, CustomerData customerData)
	{
		int customerMessageIndex = Random.Range(0, customerData.BeforeSale.Length);
		customerMessage.text = customerData.BeforeSale[customerMessageIndex];

		enemyImage.sprite = hero.GetCurrentTarget().Image;
		enemyImage.color = hero.GetCurrentTarget().color;
		enemyName.text = hero.GetCurrentTarget().Name;

		moneyText.text = hero.GetCurrentMoney().ToString();
	}
}
