﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ItemStockScreen : MonoBehaviour
{
	public Button button;
	public Text buyMoney;
	public Text sellMoney;
	public Text quantity;
	public Image image;
	private ItemData itemData;

	private void Start()
	{
	}

	public void SetStockedItemData(Main.StockedItem stockedItem)
	{
		gameObject.SetActive(true);
		itemData = stockedItem.data;
		image.sprite = stockedItem.data.Image;
		image.color = stockedItem.data.color;
		buyMoney.text = stockedItem.data.WholesaleMinValue.ToString();
		sellMoney.text = stockedItem.data.MinValue.ToString();
		quantity.text = "x" + stockedItem.quantity;
	}

	public void Hide()
	{
		gameObject.SetActive(false);
	}

	public ItemData GetItemData()
	{
		return itemData;
	}
}
