﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class ActiveCustomer : MonoBehaviour
{
	public Image[] hearts;
	public Image heroSprite;

	public void Setup(Hero hero)
	{
		for(int i = 0; i < 3; i++)
		{
			hearts[i].gameObject.SetActive(i < hero.GetLives());
		}

		heroSprite.sprite = hero.GetHeroData().sprite;
	}
}
