﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class TransmissionScreen : BaseScreen
{
	public Text[] monsterInstructions;
	public Text[] stockInstructions;

	public Text heroesStartedWith;
	public Text heroesServed;
	public Text heroesSurvived;
	public Text heroesDied;
	public Text heroesRemaining;
	public Text bonusGold;
	public Text goldEarned;

	public void SetupTransmission(Main.TransmissionData transmissionData, Main.DailyHeroStats dailyStats)
	{
		for(int i = 0; i < 3; i++)
		{
			monsterInstructions[i].text = transmissionData.monsterInstructions[i];
			stockInstructions[i].text = transmissionData.stockInstructions[i];
		}
	}
}
